# pylint: disable=unused-wildcard-import, wildcard-import
from property_utils.units.units import *

# pylint: disable=duplicate-code
__all__ = [
    "NonDimensionalUnit",
    "RelativeTemperatureUnit",
    "AbsoluteTemperatureUnit",
    "LengthUnit",
    "MassUnit",
    "AmountUnit",
    "TimeUnit",
    "ElectricCurrentUnit",
    "ForceUnit",
    "PressureUnit",
    "EnergyUnit",
    "PowerUnit",
    "NON_DIMENSIONAL",
    "CELCIUS",
    "KELVIN",
    "FAHRENHEIT",
    "RANKINE",
    "MILLI_METER",
    "CENTI_METER",
    "METER",
    "KILO_METER",
    "INCH",
    "FOOT",
    "YARD",
    "MILE",
    "NAUTICAL_MILE",
    "MILLI_GRAM",
    "GRAM",
    "KILO_GRAM",
    "METRIC_TONNE",
    "POUND",
    "MOL",
    "KILO_MOL",
    "MILLI_SECOND",
    "SECOND",
    "MINUTE",
    "HOUR",
    "DAY",
    "WEEK",
    "MONTH",
    "YEAR",
    "MILLI_AMPERE",
    "AMPERE",
    "KILO_AMPERE",
    "NEWTON",
    "DYNE",
    "MILLI_BAR",
    "BAR",
    "PSI",
    "PASCAL",
    "KILO_PASCAL",
    "MEGA_PASCAL",
    "JOULE",
    "KILO_JOULE",
    "MEGA_JOULE",
    "GIGA_JOULE",
    "CALORIE",
    "KILO_CALORIE",
    "BTU",
    "ELECTRONVOLT",
    "WATTHOUR",
    "KILO_WATTHOUR",
    "WATT",
    "KILO_WATT",
    "MEGA_WATT",
    "GIGA_WATT",
]

NON_DIMENSIONAL = NonDimensionalUnit.NON_DIMENSIONAL
CELCIUS = RelativeTemperatureUnit.CELCIUS
KELVIN = AbsoluteTemperatureUnit.KELVIN
FAHRENHEIT = RelativeTemperatureUnit.FAHRENHEIT
RANKINE = AbsoluteTemperatureUnit.RANKINE
MILLI_METER = LengthUnit.MILLI_METER
CENTI_METER = LengthUnit.CENTI_METER
METER = LengthUnit.METER
KILO_METER = LengthUnit.KILO_METER
INCH = LengthUnit.INCH
FOOT = LengthUnit.FOOT
YARD = LengthUnit.YARD
MILE = LengthUnit.MILE
NAUTICAL_MILE = LengthUnit.NAUTICAL_MILE
MILLI_GRAM = MassUnit.MILLI_GRAM
GRAM = MassUnit.GRAM
KILO_GRAM = MassUnit.KILO_GRAM
METRIC_TONNE = MassUnit.METRIC_TONNE
POUND = MassUnit.POUND
MOL = AmountUnit.MOL
KILO_MOL = AmountUnit.KILO_MOL
MILLI_SECOND = TimeUnit.MILLI_SECOND
SECOND = TimeUnit.SECOND
MINUTE = TimeUnit.MINUTE
HOUR = TimeUnit.HOUR
DAY = TimeUnit.DAY
WEEK = TimeUnit.WEEK
MONTH = TimeUnit.MONTH
YEAR = TimeUnit.YEAR
MILLI_AMPERE = ElectricCurrentUnit.MILLI_AMPERE
AMPERE = ElectricCurrentUnit.AMPERE
KILO_AMPERE = ElectricCurrentUnit.KILO_AMPERE
NEWTON = ForceUnit.NEWTON
DYNE = ForceUnit.DYNE
MILLI_BAR = PressureUnit.MILLI_BAR
BAR = PressureUnit.BAR
PSI = PressureUnit.PSI
PASCAL = PressureUnit.PASCAL
KILO_PASCAL = PressureUnit.KILO_PASCAL
MEGA_PASCAL = PressureUnit.MEGA_PASCAL
JOULE = EnergyUnit.JOULE
KILO_JOULE = EnergyUnit.KILO_JOULE
MEGA_JOULE = EnergyUnit.MEGA_JOULE
GIGA_JOULE = EnergyUnit.GIGA_JOULE
CALORIE = EnergyUnit.CALORIE
KILO_CALORIE = EnergyUnit.KILO_CALORIE
BTU = EnergyUnit.BTU
ELECTRONVOLT = EnergyUnit.ELECTRONVOLT
WATTHOUR = EnergyUnit.WATTHOUR
KILO_WATTHOUR = EnergyUnit.KILO_WATTHOUR
WATT = PowerUnit.WATT
KILO_WATT = PowerUnit.KILO_WATT
MEGA_WATT = PowerUnit.MEGA_WATT
GIGA_WATT = PowerUnit.GIGA_WATT
